# Gimp.Config.prototype.deserialize_string

    function deserialize_string(text: Array(String), data: void): Boolean {
        // Gjs wrapper for gimp_config_deserialize_string()
    }

Configures config from text. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the config's Gimp.ConfigInterface.

Since 2.4

text

  string to deserialize (in UTF-8 encoding)

data

  client data

Returns

  true if deserialization succeeded, false otherwise.